{=======================================================================================================================

  Comming BASE

     .     (DBCheckBox).

========================================================================================================================

  :

  11.05.2013 [*] .
  27.10.2004 [+]  .
  06.04.1999 [!]   BASE.

========================================================================================================================
  Copyright 19992013 TSK Developer Laboratory, Moscow.                                         Konstantin Tsvetkov
                                                                                                  e-mail: dev@tsklab.ru
                                                                                                  http://www.tsklab.ru
  CVS: $Id: BASEsfDBCheckBox.pas,v 1.2 2013/08/14 05:51:43 tsk Exp $
=======================================================================================================================}
unit BASEsfDBCheckBox;

interface

uses  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, StdCtrls, DB, DBCtrlsEh,
      // Comming;
      CommingFlat;

type
  TBASEDBCheckBoxSF = class(TFrame)
    laDisplayLable: TcoLabel;
    cbField: TDBCheckBoxEh;
  private   { Private declarations }
    FReadOnly: Boolean;
    FEnabled: Boolean;
    procedure   SetReadOnly( const Value: Boolean );
    procedure   SetEnabledX(const Value: Boolean);
  public    { Public declarations }
    property    Enabled: Boolean read FEnabled write SetEnabledX;
    property    ReadOnly: Boolean read FReadOnly write SetReadOnly;
  end;

implementation

{$R *.DFM}

//======================================================================================================================
{ TBASEDBCheckBoxSF}
//======================================================================================================================
procedure TBASEDBCheckBoxSF.SetEnabledX( const Value: Boolean );
begin
  FEnabled                := Value;
  laDisplayLable.Enabled  := Value;
  cbField.ReadOnly        := not Value;
end;
//======================================================================================================================
procedure TBASEDBCheckBoxSF.SetReadOnly( const Value: Boolean );
begin
  FReadOnly         := Value;
  cbField.ReadOnly  := Value;
  cbField.Enabled   := not Value;
end;
//======================================================================================================================
end.
