{===================================================================================================

  Comming BASE

     .      (DBEdit + DBEdit + DBEdit).

====================================================================================================

  :

  02.11.2007 [+]    TBASEDBEditDBEditSF.
  06.04.1999 [!]   BASE.

====================================================================================================
  Copyright 19992007 TSK Developer Laboratory, Moscow.                     Konstantin Tsvetkov
                                                                              e-mail: dev@tsklab.ru
                                                                              http://www.tsklab.ru
  CVS: $Id: BASEsfDBEditDBEditDBEdit.pas,v 1.1 2007/11/06 05:57:05 tsk Exp $
===================================================================================================}
unit BASEsfDBEditDBEditDBEdit;

interface

uses  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, Mask,
      DBCtrls,
      // Comming:
      CommingFlat;

type
  TBASEDBEditDBEditDBEditSF = class( TFrame )
    laField: TcoLabel;
    edField1: TcoDBEdit;
    edField2: TcoDBEdit;
    edField3: TcoDBEdit;
  private   { Private declarations }
    FEnabled: Boolean;
    FReadOnly: Boolean;
    procedure   SetEnabledX( const Value: Boolean );
    procedure   SetReadOnly(const Value: Boolean);
  public    { Public declarations }
    property    Enabled: Boolean read FEnabled write SetEnabledX;
    property    ReadOnly: Boolean read FReadOnly write SetReadOnly;
  end;

implementation

{$R *.DFM}

//==================================================================================================
{ TBASEDBEditDBEditSF }
//==================================================================================================
procedure TBASEDBEditDBEditDBEditSF.SetEnabledX( const Value: Boolean );
begin
  FEnabled          := Value;
  laField.Enabled   := Value;
  edField1.Enabled  := Value;
  edField1.ReadOnly := not Value;
  edField2.Enabled  := Value;
  edField2.ReadOnly := not Value;
  edField3.Enabled  := Value;
  edField3.ReadOnly := not Value;
end;
//==================================================================================================
procedure TBASEDBEditDBEditDBEditSF.SetReadOnly( const Value: Boolean );
begin
  FReadOnly         := Value;
  edField1.ReadOnly := Value;
  edField2.ReadOnly := Value;
  edField3.ReadOnly := Value;
end;
//==================================================================================================
end.
