{===================================================================================================

  Comming BASE

     .      (DBEdit + DBEdit)  .

====================================================================================================

  :

  18.03.2010 [+]    TBASEDBEditDBEditSF.
  06.04.1999 [!]   BASE.

====================================================================================================
  Copyright 19992010 TSK Developer Laboratory, Moscow.                     Konstantin Tsvetkov
                                                                              e-mail: dev@tsklab.ru
                                                                              http://www.tsklab.ru
  CVS: $Id: BASEsfDBEditLabelDBEditLabel.pas,v 1.2 2010/05/04 06:49:44 tsk Exp $
===================================================================================================}
unit BASEsfDBEditLabelDBEditLabel;

interface

uses  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, Mask,
      DBCtrls,
      // Comming:
      CommingFlat;

type
  TBASEDBEditLabelDBEditSF = class( TFrame )
    laField1: TcoLabel;
    edField1: TcoDBEdit;
    edField2: TcoDBEdit;
    laField2: TcoLabel;
  private   { Private declarations }
    FEnabled: Boolean;
    FReadOnly: Boolean;
    procedure   SetEnabledX( const Value: Boolean );
    procedure   SetReadOnly(const Value: Boolean);
  public    { Public declarations }
    property    Enabled: Boolean read FEnabled write SetEnabledX;
    property    ReadOnly: Boolean read FReadOnly write SetReadOnly;
  end;

implementation

{$R *.DFM}

//==================================================================================================
{ TBASEDBEditLabelDBEditSF }
//==================================================================================================
procedure TBASEDBEditLabelDBEditSF.SetEnabledX( const Value: Boolean );
begin
  FEnabled          := Value;
  laField1.Enabled  := Value;
  edField1.Enabled  := Value;
  edField1.ReadOnly := not Value;
  laField2.Enabled  := Value;
  edField2.Enabled  := Value;
  edField2.ReadOnly := not Value;
end;
//==================================================================================================
procedure TBASEDBEditLabelDBEditSF.SetReadOnly( const Value: Boolean );
begin
  FReadOnly         := Value;
  edField1.ReadOnly := Value;
  edField2.ReadOnly := Value;
end;
//==================================================================================================
end.
