{===================================================================================================

  Comming BASE

     .   (Edit).

====================================================================================================

  :

  28.11.2004 [+]    TBASEDBEditSF.
  06.04.1999 [!]   BASE.

====================================================================================================
  Copyright 19992004 TSK Developer Laboratory, Moscow.                     Konstantin Tsvetkov
                                                                              e-mail: dev@tsklab.ru
                                                                              http://www.tsklab.ru
  CVS: $Id: BASEsfEdit.pas,v 1.2 2007/09/03 05:59:47 tsk Exp $
===================================================================================================}
unit BASEsfEdit;

interface

uses  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls,
      Mask, DBCtrls,
      // Comming:
      CommingFlat;

type
  TBASEEditSF = class( TFrame )
    laField: TcoLabel;
    edField: TcoEdit;
  private   { Private declarations }
    FEnabled: Boolean;
    FReadOnly: Boolean;
    procedure   SetEnabledX( const Value: Boolean );
    procedure   SetReadOnly(const Value: Boolean);
  public    { Public declarations }
    property    Enabled: Boolean read FEnabled write SetEnabledX;
    property    ReadOnly: Boolean read FReadOnly write SetReadOnly;
  end;

implementation

{$R *.dfm}
//==================================================================================================
{ TBASEEditSF }
//==================================================================================================
procedure TBASEEditSF.SetEnabledX( const Value: Boolean );
begin
  FEnabled          := Value;
  laField.Enabled   := Value;
  edField.Enabled   := Value;
  edField.ReadOnly  := not Value;
end;
//==================================================================================================
procedure TBASEEditSF.SetReadOnly( const Value: Boolean );
begin
  FReadOnly         := Value;
  edField.ReadOnly  := Value;
end;
//==================================================================================================
end.
