{===================================================================================================

  Comming BASE

     .     (Edit + Edit).

====================================================================================================

  :

  28.11.2004 TSK  [+]    TBASEDBEditDBEditSF.
  06.04.1999 TSK  [!]   BASE.

====================================================================================================
  Copyright 19992004 TSK Developer Laboratory, Moscow.                     Konstantin Tsvetkov
                                                                              e-mail: dev@tsklab.ru
                                                                              http://www.tsklab.ru
  CVS: $Id: BASEsfEditEdit.pas,v 1.1 2004/11/30 12:37:29 tsk Exp $
===================================================================================================}
unit BASEsfEditEdit;

interface

uses  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, Mask,
      DBCtrls,
      // Comming:
      CommingFlat;

type
  TBASEEditEditSF = class( TFrame )
    laField: TcoLabel;
    edField1: TcoEdit;
    edField2: TcoEdit;
  private   { Private declarations }
    FEnabled: Boolean;
    FReadOnly: Boolean;
    procedure   SetEnabledX( const Value: Boolean );
    procedure   SetReadOnly(const Value: Boolean);
  public    { Public declarations }
    property    Enabled: Boolean read FEnabled write SetEnabledX;
    property    ReadOnly: Boolean read FReadOnly write SetReadOnly;
  end;

implementation

{$R *.DFM}

//==================================================================================================
{ TBASEEditEditSF }
//==================================================================================================
procedure TBASEEditEditSF.SetEnabledX( const Value: Boolean );
begin
  FEnabled          := Value;
  laField.Enabled   := Value;
  edField1.Enabled  := Value;
  edField1.ReadOnly := not Value;
  edField2.Enabled  := Value;
  edField2.ReadOnly := not Value;
end;
//==================================================================================================
procedure TBASEEditEditSF.SetReadOnly( const Value: Boolean );
begin
  FReadOnly         := Value;
  edField1.ReadOnly := Value;
  edField2.ReadOnly := Value;
end;
//==================================================================================================
end.
