{=======================================================================================================================

  Comming BASE

       ( DBLookupCombo).

========================================================================================================================

  :

  03.08.2013 [*] .
  27.11.2004 [+]   .
             [*] .
  13.11.2004 [*]    -  .
  25.03.2003 [+]  : .
  20.12.2002 [*]  .
  19.08.2002 [+]  DBLookupCombo  ADODataSet  .
  11.08.2002 [*]   TBASERootFR,      BASE.
  06.04.1999 [!]   BASE.

========================================================================================================================
  Copyright 19992013 TSK Developer Laboratory, Moscow.                                         Konstantin Tsvetkov
                                                                                                  e-mail: dev@tsklab.ru
                                                                                                  http://www.tsklab.ru
  CVS: $Id: BASEfrChoiceCombo.pas,v 1.6 2013/08/14 05:51:45 tsk Exp $
=======================================================================================================================}
unit BASEfrChoiceCombo;

interface

uses  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, ExtCtrls,
      DB, ADODB,
      // BASE:
      BASEfrRoot,
      // Comming:
      CommingButton, CommingLookupFlat;

type

  TChoice = procedure( Key: Variant) of object;
  TCancel = procedure of object;

  TBASEChoiceComboFR = class( TBASERootFR )
    btAppend: TcoButton;
    btChoice: TcoButton;
    laTitle:  TStaticText;
    cbChoice: TcoDBLookupCombo;
    taChoice: TADODataSet;
    dsChoice: TDataSource;
    btEdit: TcoButton;
    procedure btChoiceClick(Sender: TObject);
    procedure btCancelClick(Sender: TObject);
    procedure cbChoiceChange(Sender: TObject);
  private   { Private declarations }
  public    { Public declarations }
    OnChoice: TChoice;
    OnCancel: TCancel;
    constructor CreateComming( AOwner: TComponent; PChoice: TChoice; PCancel: TCancel );
  end;

implementation

{$R *.DFM}
//======================================================================================================================
{ TBASEChoiceComboFR }
//======================================================================================================================
constructor TBASEChoiceComboFR.CreateComming(AOwner: TComponent; PChoice: TChoice; PCancel: TCancel);
begin
  inherited Create( AOwner );
  OnChoice := PChoice;
  OnCancel := PCancel;
end;
//======================================================================================================================
procedure TBASEChoiceComboFR.cbChoiceChange(Sender: TObject);
begin
  btChoice.Enabled := ( cbChoice.KeyValue > 0 );
  btEdit.Enabled   := ( cbChoice.KeyValue > 0 );
end;
//======================================================================================================================
procedure TBASEChoiceComboFR.btChoiceClick( Sender: TObject );
begin
  if Assigned( OnChoice ) then OnChoice( cbChoice.KeyValue );
  CloseModal;
end;
//======================================================================================================================
procedure TBASEChoiceComboFR.btCancelClick(Sender: TObject);
begin
  if Assigned( OnCancel ) then OnCancel;
  inherited;
end;
//======================================================================================================================
end.
