{===================================================================================================

  Comming BASE

       , .

====================================================================================================

  :

  17.09.2008 [*] .
  09.01.2003 [+]    MRU.
  28.12.2003 [*]    BASE.
  09.07.2003 [*]   .
  08.07.2003 [*]  .
  01.04.2003 [+]  .
  06.04.1999 [!]   BASE.

====================================================================================================
  Copyright 19992008 TSK Developer Laboratory, Moscow.                     Konstantin Tsvetkov
                                                                              e-mail: dev@tsklab.ru
                                                                              http://www.tsklab.ru
  CVS: $Id: BASEfrMRUChoice.pas,v 1.2 2008/09/23 06:15:41 tsk Exp $
===================================================================================================}
unit BASEfrMRUChoice;

interface

uses  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
      BASEfrRoot, StdCtrls, CommingButton, ExtCtrls, DB, ADODB,
      Grids, DBGridEh, CommingDBGridEh, Mask, DBCtrls,
      // Comming:
      CommingFlat, CommingADO ;

type

  TBASEMRUChoiceFR = class( TBASERootFR )
    btAppend: TcoButton;
    btChoice: TcoButton;
    laTitle:  TStaticText;
    taMRU: TADODataSet;
    dsMRU: TDataSource;
    grChoice: TcoDBGridEh;
    edField: TcoDBEdit;
    taMRUName: TStringField;
    procedure btChoiceClick(Sender: TObject);
    procedure btCancelClick(Sender: TObject);
    procedure edFieldChange(Sender: TObject);
    procedure grChoiceDblClick(Sender: TObject);
    procedure btAppendClick(Sender: TObject);
  private   { Private declarations }
    FOld: String;
  public    { Public declarations }
    procedure   CheckRun( var AFrame: TBASEMRUChoiceFR; AOwner: TComponent;
                          Field: TcoDBEdit; Un: String );
  end;

implementation

{$R *.DFM}
//==================================================================================================
{ TBASEMRUChoiceFR }
//==================================================================================================
procedure TBASEMRUChoiceFR.CheckRun( var AFrame: TBASEMRUChoiceFR; AOwner: TComponent;
                                 Field: TcoDBEdit; Un: String );
begin
  if AFrame = nil then begin
    AFrame      := TBASEMRUChoiceFR.Create( AOwner );
    AFrame.Name := 'MRU' + IntToStr(AFrame.Handle);
  end;
  with AFrame do begin
    laTitle.Caption     := Field.Field.DisplayLabel;
    FOld                := Field.Field.AsString;
    taMRU.Connection    := TADODataSet(Field.Field.DataSet).Connection;
    RequeryParameters( taMRU, [ Un, FOld ]);
    edField.DataSource  := Field.DataSource;
    edField.DataField   := Field.DataField;
    edField.Text        := FOld;
    ShowModal;
  end;
end;
//==================================================================================================
procedure TBASEMRUChoiceFR.edFieldChange(Sender: TObject);
begin
  if Length(edField.Text) > 2 then begin
    taMRU.Close;
    taMRU.Parameters[1].Value := edField.Text;
    taMRU.Open;
  end;
end;
//==================================================================================================
procedure TBASEMRUChoiceFR.grChoiceDblClick(Sender: TObject);
begin
  if not ( edField.Field.DataSet.State in [ dsInsert, dsEdit ]) then edField.Field.DataSet.Edit;
  edField.Field.Value := taMRUName.Value;
  edField.SetFocus;
end;
//==================================================================================================
procedure TBASEMRUChoiceFR.btChoiceClick( Sender: TObject );
begin
  CloseModal;
end;
//==================================================================================================
procedure TBASEMRUChoiceFR.btCancelClick(Sender: TObject);
begin
  if ( edField.Field.DataSet.State in [ dsInsert, dsEdit ]) then edField.Field.Value := FOld;
  inherited;
end;
//==================================================================================================
procedure TBASEMRUChoiceFR.btAppendClick(Sender: TObject);
begin
  if taMRU.RecordCount > 0 then begin
    taMRU.Delete;
    taMRU.Requery;
  end;
end;
//==================================================================================================
end.
